summarylogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--PKGBUILD4
-rw-r--r--paraFoam.patch11
-rw-r--r--prefs.sh2
3 files changed, 10 insertions, 7 deletions
diff --git a/PKGBUILD b/PKGBUILD
index ff64ada8aba..477bca1ce51 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -7,7 +7,7 @@ pkgname=openfoam2.4-git
_distpkgname=OpenFOAM
_distpkgver=2.4.x
_gitname=$_distpkgname-$_distpkgver
-pkgver=20150717.a6f90b1
+pkgver=20151015.277a709
pkgrel=1
pkgdesc="The open source CFD toolbox"
arch=('i686' 'x86_64')
@@ -32,7 +32,7 @@ noextract=()
install=openfoam.install
md5sums=('SKIP'
'98fd4f7bb2fd43a0854a583b41d47349'
- '4e6fdb19fd35f221ea98ede05a65476e'
+ 'aee1dc4516470918b70df58934c37800'
'f0aa8f083d67cddeea684cd3b4fec1e0'
'SKIP'
'SKIP')
diff --git a/paraFoam.patch b/paraFoam.patch
index 946a90daaec..f02a4e3fc50 100644
--- a/paraFoam.patch
+++ b/paraFoam.patch
@@ -1,10 +1,10 @@
--- src/OpenFOAM-2.4.x/bin/paraFoam
+++ src/OpenFOAM-2.4.x/bin/paraFoam
-@@ -124,21 +124,23 @@
+@@ -124,21 +124,26 @@ done
# Get the ParaView major version to select the appropriate readers
version=`echo $ParaView_VERSION | sed -e 's/^\([0-9][0-9]*\).*$/\1/'`
--# check that reader module has been built
+-# Check that reader module has been built
-if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV${version}FoamReader_SM.so ]
-then
- cat<< BUILDREADER
@@ -14,6 +14,9 @@
+#if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV3FoamReader_SM.so ]
+#then
+# cat<< BUILDREADER
++#if [ $requirePV -eq 1 -a ! -f $PV_PLUGIN_PATH/libPV${version}FoamReader_SM.so ]
++#then
++# cat<< BUILDREADER
-FATAL ERROR: ParaView reader module libraries do not exist
+#FATAL ERROR: ParaView reader module libraries do not exist
@@ -23,7 +26,7 @@
-./Allwclean
-./Allwmake
+#Please build the reader module before continuing:
-+#cd \$FOAM_UTILITIES/postProcessing/graphics/PV3Readers
++#cd \$FOAM_UTILITIES/postProcessing/graphics/PV${version}Readers
+#./Allwclean
+#./Allwmake
@@ -34,5 +37,5 @@
+# exit 1
+#fi
- # check for --data=... argument
+ # Check for --data=... argument
hasDataArg()
diff --git a/prefs.sh b/prefs.sh
index 4dded459608..0578ff0602b 100644
--- a/prefs.sh
+++ b/prefs.sh
@@ -1,4 +1,4 @@
compilerInstall=system
export WM_MPLIB=SYSTEMOPENMPI
-export ParaView_VERSION=4.3.1
+export ParaView_VERSION=4.4.0
export ParaView_MAJOR=4